------------------------------------------------------------------------------
-- MakeMeGetMyMain - Alarms you when something happens to your character
------------------------------------------------------------------------------
-- Trigger_Whisper.lua - Triggered if character receives a whisper
--
-- Author: Expelliarm5s / October 2020 / All Rights Reserved
--
-- Version 1.1.6
------------------------------------------------------------------------------
-- luacheck: ignore 212 globals DLAPI

local addonName, addon = ...
local modle = addon:NewModule("Whisper", "AceEvent-3.0", "AceConsole-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)
-- local private = {}
------------------------------------------------------------------------------

function modle:ModuleName()
	return modle.moduleName
end

function modle:ModuleIcon()
	if addon.isClassic then
		return "INTERFACE\\ICONS\\Ability_Warrior_WarCry"
	else
		return "INTERFACE\\ICONS\\Warrior_DisruptingShout"
	end
end

function modle:TriggerName()
	return L["Character got whispers!"]
end

function modle:TriggerDesc()
	return L["Alarm fires on receiving whispers."]
end

function modle:Login()
	modle:RegisterEvent("CHAT_MSG_WHISPER")
end

function modle:CHAT_MSG_WHISPER(event, arg1, arg2)
	addon:DebugPrintf(modle.moduleName .. "~  %s: '%s' from %s", tostring(event), tostring(arg1), tostring(arg2))
	if addon.isEnabled and addon.db.global[modle.moduleName] then
		addon:DebugPrintf(modle.moduleName .. "~  -> GUI:Fire(%s)", modle.moduleName)
		addon:Printf(format(L["Module %s: %s (from %s)"], modle.moduleName, modle:TriggerName(), tostring(arg2)))
		if addon.GUI.Fire then
			addon.GUI:Fire(modle.moduleName)
		end
	end
end

-- EOF